import {
  drawById
} from "../../utils/qrcode"
import orderApi from '../../api/order'
// pages/order/order.js
Page({

  /**
   * 页面的初始数据
   */
  data: {
    order: {},
    //1显示订单详情，2显示确认支付，取消订单，3显示删除订单
    orderStatus: 1,
    timer: {}

  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: async function (options) {

    console.log(options)
    var orderId = options.id;
    let status = options.status;
    let order = await orderApi.getOrderById(orderId);
    this.setData({
      order: order.info
    })
    /*   drawById.call(wx, "qrCode", {
      text: order.info.writeOffCode, // 二维码内容
    })
 */
    if (status == 2) {
      console.log('abc')
      this.setData({
        orderStatus: 2
      })
      this.createTimeClock()
    }
  },
  //生成二维码
  createQrcode: function () {
    drawById.call(wx, "qrCode", {
      text: "1233", // 二维码内容
    })
  },

  createTimeClock: function () {
    var self = this;
    let orderCreateTime = new Date(this.data.order.createTime);
    let endTime = orderCreateTime.getTime()+15*60*1000;
    // let endTime = orderCreateTime.getTime() + 30 * 1000;
    var timerID = setInterval(() => {
      let nowTime = new Date();
      let timer = endTime - nowTime;
      if (timer < 1) {
        clearInterval(timerID);
        self.setData({
          orderStatus: 3
        })
      }
      let minute = Math.floor(timer / (60 * 1000));
      minute = minute < 0 ? 0 : minute;
      let second = Math.round((timer % (60 * 1000)) / 1000);
      this.setData({
        timer: {
          minute: minute,
          second: second
        }
      })
    }, 500);
  },
  cancelOrder: function () {
    var self = this;
    wx.showModal({
      title: '是否确认取消订单？',
      success(res) {
        if (res.confirm) {
          self.setData({
            orderStatus: 3
          })
        } else if (res.cancel) {}

      },

    })
  },
  deleteOrder: async function () {
    let id = this.data.order.id;
    await orderApi.deleteOrder(id);
    wx.showToast({
      title: '删除成功',
      success: function () {
        setTimeout(() => {
          wx.switchTab({
            url: '../personorder/personorder',
          })
        }, 1000);

      }
    })

  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }

})